NX Open C++ Reference Guide
|
Represents a @link Features::StyledCorner Features::StyledCorner@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateStyledCornerBuilder Features::FeatureCollection::CreateStyledCornerBuilder @endlink <br>
Default values. More...
Public Types | |
enum | CurveControlTypes { CurveControlTypesTopBaseCurve, CurveControlTypesBottomBridgeCurve, CurveControlTypesIsoCurveU, CurveControlTypesIsoCurveV } |
Curve control types. More... | |
enum | InteriorCurveTypes { InteriorCurveTypesNone, InteriorCurveTypesIsoCurveU, InteriorCurveTypesIsoCurveV, InteriorCurveTypesIsoCurveUV } |
Intertior curve type. More... | |
enum | ShapeControlMethodsTypes { ShapeControlMethodsTypesNone, ShapeControlMethodsTypesDepthAndSkew, ShapeControlMethodsTypesTangentMagnitude, ShapeControlMethodsTypesTemplateBridgeCurve } |
Shape control types. More... | |
enum | TrimAndSewMethodTypes { TrimAndSewMethodTypesNoTrim, TrimAndSewMethodTypesTrimBlends, TrimAndSewMethodTypesTrimAll, TrimAndSewMethodTypesTrimAndAttachBlends, TrimAndSewMethodTypesTrimAndAttachAll } |
Trim and attach method types. More... | |
enum | TrimCurveTypes { TrimCurveTypesTangentContinuous, TrimCurveTypesLineProjection, TrimCurveTypesIsoparametric } |
Trim curve types. More... | |
Public Member Functions | |
NXOpen::GeometricUtilities::Rebuild * | BaseCurveRebuildData () |
Returns the base curve rebuild data Created in NX6.0.0. | |
NXOpen::ScCollector * | BaseFaces () |
Returns the base faces Created in NX6.0.0. | |
NXOpen::GeometricUtilities::Continuity * | BottomBridgeCurveContinuity () |
Returns the bottom bridge curve continuity Created in NX6.0.0. | |
NXOpen::Features::StyledCornerBuilder::ShapeControlMethodsTypes | BottomShapeControlMethods () |
Returns the bottom shape control methods Created in NX6.0.0. | |
NXOpen::GeometricUtilities::TangentMagnitudeBuilder * | BottomTangentMagnitude () |
Returns the bottom tangent magnitude Created in NX6.0.0. | |
bool | ChangeAllBoundaryConstraints () |
Returns the flag indicating to apply to all constraints Created in NX7.5.0. | |
NXOpen::Features::StyledCornerBuilder::CurveControlTypes | CurveControl () |
Returns the curve control Created in NX6.0.0. | |
double | G0Tolerance () |
Returns the g0 tolerance Created in NX6.0.0. | |
double | G1Tolerance () |
Returns the g1 tolerance Created in NX6.0.0. | |
double | G2Tolerance () |
Returns the g2 tolerance Created in NX6.0.0. | |
NXOpen::ScCollector * | InputBlend1 () |
Returns the input blend1 Created in NX6.0.0. | |
NXOpen::ScCollector * | InputBlend2 () |
Returns the input blend2 Created in NX6.0.0. | |
NXOpen::ScCollector * | InputBlend3 () |
Returns the input blend3 Created in NX6.0.0. | |
NXOpen::Features::StyledCornerBuilder::InteriorCurveTypes | InteriorCurveType () |
Returns the interior curve type Created in NX6.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | IsoUCurveEndPoint () |
Returns the iso u curve end point Created in NX6.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | IsoUCurveStartPoint () |
Returns the iso u curve start point Created in NX6.0.0. | |
NXOpen::GeometricUtilities::DepthSkewBuilder * | IsoUDepthSkew () |
Returns the iso u depth skew Created in NX6.0.0. | |
NXOpen::Features::StyledCornerBuilder::ShapeControlMethodsTypes | IsoUShapeControlMethods () |
Returns the iso u shape control methods Created in NX6.0.0. | |
NXOpen::GeometricUtilities::TangentMagnitudeBuilder * | IsoUTangentMagnitude () |
Returns the iso u tangent magnitude Created in NX6.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | IsoVCurveEndPoint () |
Returns the iso v curve end point Created in NX6.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | IsoVCurveStartPoint () |
Returns the iso v curve start point Created in NX6.0.0. | |
NXOpen::GeometricUtilities::DepthSkewBuilder * | IsoVDepthSkew () |
Returns the iso v depth skew Created in NX6.0.0. | |
NXOpen::Features::StyledCornerBuilder::ShapeControlMethodsTypes | IsoVShapeControlMethods () |
Returns the iso v shape control methods Created in NX6.0.0. | |
NXOpen::GeometricUtilities::TangentMagnitudeBuilder * | IsoVTangentMagnitude () |
Returns the iso v tangent magnitude Created in NX6.0.0. | |
void | ResetToTriangularCorner () |
Reset to triangular corner Created in NX6.0.0. | |
void | SetBottomShapeControlMethods (NXOpen::Features::StyledCornerBuilder::ShapeControlMethodsTypes bottomShapeControlMethods) |
Sets the bottom shape control methods Created in NX6.0.0. | |
void | SetChangeAllBoundaryConstraints (bool changeAllBoundaryConstraints) |
Sets the flag indicating to apply to all constraints Created in NX7.5.0. | |
void | SetCurveControl (NXOpen::Features::StyledCornerBuilder::CurveControlTypes curveControl) |
Sets the curve control Created in NX6.0.0. | |
void | SetG0Tolerance (double g0Tolerance) |
Sets the g0 tolerance Created in NX6.0.0. | |
void | SetG1Tolerance (double g1Tolerance) |
Sets the g1 tolerance Created in NX6.0.0. | |
void | SetG2Tolerance (double g2Tolerance) |
Sets the g2 tolerance Created in NX6.0.0. | |
void | SetInteriorCurveType (NXOpen::Features::StyledCornerBuilder::InteriorCurveTypes interiorCurveType) |
Sets the interior curve type Created in NX6.0.0. | |
void | SetIsoUShapeControlMethods (NXOpen::Features::StyledCornerBuilder::ShapeControlMethodsTypes isoUShapeControlMethods) |
Sets the iso u shape control methods Created in NX6.0.0. | |
void | SetIsoVShapeControlMethods (NXOpen::Features::StyledCornerBuilder::ShapeControlMethodsTypes isoVShapeControlMethods) |
Sets the iso v shape control methods Created in NX6.0.0. | |
void | SetNumCornerSides (int numSides) |
Set number of sides of the corner Created in NX6.0.0. | |
void | SetTopShapeControlMethods (NXOpen::Features::StyledCornerBuilder::ShapeControlMethodsTypes topShapeControlMethods) |
Sets the top shape control methods Created in NX6.0.0. | |
void | SetTrimAndSewMethod (NXOpen::Features::StyledCornerBuilder::TrimAndSewMethodTypes trimAndSewMethod) |
Sets the trim and sew method Created in NX6.0.0. | |
void | SetTrimCurve1Type (NXOpen::Features::StyledCornerBuilder::TrimCurveTypes trimCurve1Type) |
Sets the trim curve1 type Created in NX6.0.0. | |
void | SetTrimCurve2Type (NXOpen::Features::StyledCornerBuilder::TrimCurveTypes trimCurve2Type) |
Sets the trim curve2 type Created in NX6.0.0. | |
NXOpen::GeometricUtilities::Continuity * | TopBaseCurveContinuity () |
Returns the top base curve continuity Created in NX6.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | TopCurveEndPoint () |
Returns the top curve end point Created in NX6.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | TopCurveStartPoint () |
Returns the top curve start point Created in NX6.0.0. | |
NXOpen::GeometricUtilities::DepthSkewBuilder * | TopDepthSkew () |
Returns the top depth skew Created in NX6.0.0. | |
NXOpen::Features::StyledCornerBuilder::ShapeControlMethodsTypes | TopShapeControlMethods () |
Returns the top shape control methods Created in NX6.0.0. | |
NXOpen::GeometricUtilities::TangentMagnitudeBuilder * | TopTangentMagnitude () |
Returns the top tangent magnitude Created in NX6.0.0. | |
NXOpen::Features::StyledCornerBuilder::TrimAndSewMethodTypes | TrimAndSewMethod () |
Returns the trim and sew method Created in NX6.0.0. | |
NXOpen::GeometricUtilities::Continuity * | TrimCurve1Continuity () |
Returns the trim curve1 continuity Created in NX6.0.0. | |
NXOpen::Features::StyledCornerBuilder::TrimCurveTypes | TrimCurve1Type () |
Returns the trim curve1 type Created in NX6.0.0. | |
NXOpen::GeometricUtilities::Continuity * | TrimCurve2Continuity () |
Returns the trim curve2 continuity Created in NX6.0.0. | |
NXOpen::Features::StyledCornerBuilder::TrimCurveTypes | TrimCurve2Type () |
Returns the trim curve2 type Created in NX6.0.0. | |
NXOpen::GeometricUtilities::Rebuild * | TrimCurveRebuildData () |
Returns the trim curve rebuild data Created in NX6.0.0. | |
void | UpdateCornerData (bool inputFaceChanged, bool resetToTriangleCorner) |
Updates corner data. | |
void | UpdateOnPathDimPath (NXOpen::Features::StyledCornerBuilder::CurveControlTypes curveControlOption, int startEndIndex) |
Gets the path in current position and sets it in builder. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::StyledCorner Features::StyledCorner@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateStyledCornerBuilder Features::FeatureCollection::CreateStyledCornerBuilder @endlink <br>
Default values.
Property | Value |
---|---|
BottomShapeControlMethods |
None |
CurveControl |
TopBaseCurve |
G0Tolerance |
0.01 |
G1Tolerance |
0.1 |
G2Tolerance |
0.5 |
InteriorCurveType |
None |
TopShapeControlMethods |
None |
TrimAndSewMethod |
TrimBlends |
TrimCurve1Type |
TangentContinuous |
TrimCurve2Type |
TangentContinuous |
Created in NX6.0.0.
Curve control types.
Shape control types.
ShapeControlMethodsTypesNone |
No shape control. |
ShapeControlMethodsTypesDepthAndSkew |
Depth and skew. |
ShapeControlMethodsTypesTangentMagnitude |
Tangent and magnitude. |
ShapeControlMethodsTypesTemplateBridgeCurve |
Template bridge curve. |
Trim and attach method types.
NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::StyledCornerBuilder::BaseCurveRebuildData | ( | ) |
Returns the base curve rebuild data
Created in NX6.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::StyledCornerBuilder::BaseFaces | ( | ) |
Returns the base faces
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StyledCornerBuilder::BottomBridgeCurveContinuity | ( | ) |
Returns the bottom bridge curve continuity
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StyledCornerBuilder::ShapeControlMethodsTypes NXOpen::Features::StyledCornerBuilder::BottomShapeControlMethods | ( | ) |
Returns the bottom shape control methods
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::TangentMagnitudeBuilder* NXOpen::Features::StyledCornerBuilder::BottomTangentMagnitude | ( | ) |
Returns the bottom tangent magnitude
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::StyledCornerBuilder::ChangeAllBoundaryConstraints | ( | ) |
Returns the flag indicating to apply to all constraints
Created in NX7.5.0.
License requirements : None
NXOpen::Features::StyledCornerBuilder::CurveControlTypes NXOpen::Features::StyledCornerBuilder::CurveControl | ( | ) |
Returns the curve control
Created in NX6.0.0.
License requirements : None
double NXOpen::Features::StyledCornerBuilder::G0Tolerance | ( | ) |
Returns the g0 tolerance
Created in NX6.0.0.
License requirements : None
double NXOpen::Features::StyledCornerBuilder::G1Tolerance | ( | ) |
Returns the g1 tolerance
Created in NX6.0.0.
License requirements : None
double NXOpen::Features::StyledCornerBuilder::G2Tolerance | ( | ) |
Returns the g2 tolerance
Created in NX6.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::StyledCornerBuilder::InputBlend1 | ( | ) |
Returns the input blend1
Created in NX6.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::StyledCornerBuilder::InputBlend2 | ( | ) |
Returns the input blend2
Created in NX6.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::StyledCornerBuilder::InputBlend3 | ( | ) |
Returns the input blend3
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StyledCornerBuilder::InteriorCurveTypes NXOpen::Features::StyledCornerBuilder::InteriorCurveType | ( | ) |
Returns the interior curve type
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::StyledCornerBuilder::IsoUCurveEndPoint | ( | ) |
Returns the iso u curve end point
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::StyledCornerBuilder::IsoUCurveStartPoint | ( | ) |
Returns the iso u curve start point
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::DepthSkewBuilder* NXOpen::Features::StyledCornerBuilder::IsoUDepthSkew | ( | ) |
Returns the iso u depth skew
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StyledCornerBuilder::ShapeControlMethodsTypes NXOpen::Features::StyledCornerBuilder::IsoUShapeControlMethods | ( | ) |
Returns the iso u shape control methods
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::TangentMagnitudeBuilder* NXOpen::Features::StyledCornerBuilder::IsoUTangentMagnitude | ( | ) |
Returns the iso u tangent magnitude
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::StyledCornerBuilder::IsoVCurveEndPoint | ( | ) |
Returns the iso v curve end point
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::StyledCornerBuilder::IsoVCurveStartPoint | ( | ) |
Returns the iso v curve start point
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::DepthSkewBuilder* NXOpen::Features::StyledCornerBuilder::IsoVDepthSkew | ( | ) |
Returns the iso v depth skew
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StyledCornerBuilder::ShapeControlMethodsTypes NXOpen::Features::StyledCornerBuilder::IsoVShapeControlMethods | ( | ) |
Returns the iso v shape control methods
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::TangentMagnitudeBuilder* NXOpen::Features::StyledCornerBuilder::IsoVTangentMagnitude | ( | ) |
Returns the iso v tangent magnitude
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::StyledCornerBuilder::ResetToTriangularCorner | ( | ) |
Reset to triangular corner
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
void NXOpen::Features::StyledCornerBuilder::SetBottomShapeControlMethods | ( | NXOpen::Features::StyledCornerBuilder::ShapeControlMethodsTypes | bottomShapeControlMethods | ) |
Sets the bottom shape control methods
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
bottomShapeControlMethods | bottomshapecontrolmethods |
void NXOpen::Features::StyledCornerBuilder::SetChangeAllBoundaryConstraints | ( | bool | changeAllBoundaryConstraints | ) |
Sets the flag indicating to apply to all constraints
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
changeAllBoundaryConstraints | changeallboundaryconstraints |
void NXOpen::Features::StyledCornerBuilder::SetCurveControl | ( | NXOpen::Features::StyledCornerBuilder::CurveControlTypes | curveControl | ) |
Sets the curve control
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
curveControl | curvecontrol |
void NXOpen::Features::StyledCornerBuilder::SetG0Tolerance | ( | double | g0Tolerance | ) |
Sets the g0 tolerance
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
g0Tolerance | g0tolerance |
void NXOpen::Features::StyledCornerBuilder::SetG1Tolerance | ( | double | g1Tolerance | ) |
Sets the g1 tolerance
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
g1Tolerance | g1tolerance |
void NXOpen::Features::StyledCornerBuilder::SetG2Tolerance | ( | double | g2Tolerance | ) |
Sets the g2 tolerance
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
g2Tolerance | g2tolerance |
void NXOpen::Features::StyledCornerBuilder::SetInteriorCurveType | ( | NXOpen::Features::StyledCornerBuilder::InteriorCurveTypes | interiorCurveType | ) |
Sets the interior curve type
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
interiorCurveType | interiorcurvetype |
void NXOpen::Features::StyledCornerBuilder::SetIsoUShapeControlMethods | ( | NXOpen::Features::StyledCornerBuilder::ShapeControlMethodsTypes | isoUShapeControlMethods | ) |
Sets the iso u shape control methods
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
isoUShapeControlMethods | isoushapecontrolmethods |
void NXOpen::Features::StyledCornerBuilder::SetIsoVShapeControlMethods | ( | NXOpen::Features::StyledCornerBuilder::ShapeControlMethodsTypes | isoVShapeControlMethods | ) |
Sets the iso v shape control methods
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
isoVShapeControlMethods | isovshapecontrolmethods |
void NXOpen::Features::StyledCornerBuilder::SetNumCornerSides | ( | int | numSides | ) |
Set number of sides of the corner
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
numSides | 3 or 4 |
void NXOpen::Features::StyledCornerBuilder::SetTopShapeControlMethods | ( | NXOpen::Features::StyledCornerBuilder::ShapeControlMethodsTypes | topShapeControlMethods | ) |
Sets the top shape control methods
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
topShapeControlMethods | topshapecontrolmethods |
void NXOpen::Features::StyledCornerBuilder::SetTrimAndSewMethod | ( | NXOpen::Features::StyledCornerBuilder::TrimAndSewMethodTypes | trimAndSewMethod | ) |
Sets the trim and sew method
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
trimAndSewMethod | trimandsewmethod |
void NXOpen::Features::StyledCornerBuilder::SetTrimCurve1Type | ( | NXOpen::Features::StyledCornerBuilder::TrimCurveTypes | trimCurve1Type | ) |
Sets the trim curve1 type
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
trimCurve1Type | trimcurve1type |
void NXOpen::Features::StyledCornerBuilder::SetTrimCurve2Type | ( | NXOpen::Features::StyledCornerBuilder::TrimCurveTypes | trimCurve2Type | ) |
Sets the trim curve2 type
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
trimCurve2Type | trimcurve2type |
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StyledCornerBuilder::TopBaseCurveContinuity | ( | ) |
Returns the top base curve continuity
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::StyledCornerBuilder::TopCurveEndPoint | ( | ) |
Returns the top curve end point
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::StyledCornerBuilder::TopCurveStartPoint | ( | ) |
Returns the top curve start point
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::DepthSkewBuilder* NXOpen::Features::StyledCornerBuilder::TopDepthSkew | ( | ) |
Returns the top depth skew
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StyledCornerBuilder::ShapeControlMethodsTypes NXOpen::Features::StyledCornerBuilder::TopShapeControlMethods | ( | ) |
Returns the top shape control methods
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::TangentMagnitudeBuilder* NXOpen::Features::StyledCornerBuilder::TopTangentMagnitude | ( | ) |
Returns the top tangent magnitude
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StyledCornerBuilder::TrimAndSewMethodTypes NXOpen::Features::StyledCornerBuilder::TrimAndSewMethod | ( | ) |
Returns the trim and sew method
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StyledCornerBuilder::TrimCurve1Continuity | ( | ) |
Returns the trim curve1 continuity
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StyledCornerBuilder::TrimCurveTypes NXOpen::Features::StyledCornerBuilder::TrimCurve1Type | ( | ) |
Returns the trim curve1 type
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StyledCornerBuilder::TrimCurve2Continuity | ( | ) |
Returns the trim curve2 continuity
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StyledCornerBuilder::TrimCurveTypes NXOpen::Features::StyledCornerBuilder::TrimCurve2Type | ( | ) |
Returns the trim curve2 type
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::StyledCornerBuilder::TrimCurveRebuildData | ( | ) |
Returns the trim curve rebuild data
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::StyledCornerBuilder::UpdateCornerData | ( | bool | inputFaceChanged, |
bool | resetToTriangleCorner | ||
) |
Updates corner data.
Various parameters are involved in the creation of corner surface. When all the parameters are used with their initial values, this method needs to be called to preprocess internal corner data in order to create corner surface. When a parameter is changed, this method needs to be called in order to update internal corner data that was preprocessed.
Created in NX6.0.2.
License requirements : studio_free_form ("STUDIO FREE FORM")
inputFaceChanged | If blend or base face changed |
resetToTriangleCorner | If resetting to 3-sided corner |
void NXOpen::Features::StyledCornerBuilder::UpdateOnPathDimPath | ( | NXOpen::Features::StyledCornerBuilder::CurveControlTypes | curveControlOption, |
int | startEndIndex | ||
) |
Gets the path in current position and sets it in builder.
Call this before using the OnPathDimensionBuilder
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
curveControlOption | Determines which OnPathDimensionBuilder to update |
startEndIndex | 0=start, 1=end |